Subject: Re: bug#57007: 29.0.50; Pure space overflow warning

From: Po Lu <[email-masked]>
Date: Sat, 06 Aug 2022 11:36:14 +0800

Arash Esbati <[email-masked]> writes:

> Hi all,
>
> I updated Emacs from master (5426f67006) and get the following in
> splash:
>
>   Warning Warning!!!  Pure space overflow    !!!Warning Warning
>   (See the node Pure Storage in the Lisp manual for details.)
>
> I'm not preloading any additional libraries or add additional features,
> I build Emacs on Win10 with Mingw64 with a small script which looks like
> this:

How much do you have to bump BASE_PURESIZE (in pursize.h) until the
warning goes away?

We should adjust it by at least that much, even though pure space will
hopefully go away soon.